package cn.com.ctop.crawler.modules.oceanengine.service;

import cn.com.ctop.crawler.modules.oceanengine.entity.DouyinHot;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface IDouyinHotService extends IService<DouyinHot> {
    public void replaceBatch(List<DouyinHot> list);

    IPage<DouyinHot> queryHotFeeds(String userName, String start, String end, String orderByColumn, String orderByType, Integer pageNo, Integer pageSize);

    List<DouyinHot> getId();

}
